package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConvenioEmpresa;

public class RenderConvenioEmpresa implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object selectedObject) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(selectedObject != null) {
			ConvenioEmpresa convenioEmpresa = (ConvenioEmpresa) selectedObject;
			
			lc = new Listcell(convenioEmpresa.getEmpresa() != null ? convenioEmpresa.getEmpresa().getNombempresa() : "");
    		lc.setParent(lstm);
    		lstm.setAttribute("data", convenioEmpresa);			
		}
	}
}